<template>
  <transition name="modal-fade">
    <div class="modal-backdrop">
      <div class="modal"
        role="dialog"
        aria-labelledby="modalTitle"
        aria-describedby="modalDescription"
      >
        <div class="left-column">
            <h2>РЕДАКТОР ТЕСТА</h2>
            <Week class="week" v-for="i in 7" v-bind:key="i"/>
            <button class="signIn">СОХРАНИТЬ ИЗМЕНЕНИЯ</button>
        </div>
        <div class="right-column">
            <header>
                <h2>"НАЗВАНИЕ ТЕСТА"</h2>
                    <button
                type="button"
                class="btn-close"
                @click="close"
                aria-label="Close modal"
                >
                X
                </button>
            </header>
            <Question class="question" v-for="i in 3" v-bind:key="i"/>
            <AddQuestion/>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
import Week from '../components/Week.vue'
import Question from '../components/Question.vue'
import AddQuestion from '../components/AddQuestion.vue'


  export default {
    name: 'modal',
    components: {
        Week,
        Question,
        AddQuestion
    },
    methods: {
      close() {
        this.$emit('close');
      },
    },
  };
</script>

<style>
  .modal-backdrop {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .modal {
    background: #FFFFFF;
    overflow-x: auto;
    display: grid;
    width: 65vw;
    padding: 10px 30px;
    grid-template-columns: repeat(5, 1fr);
    grid-gap: 30px;
    box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
  }

  h2 {
      text-align: left;
      font-weight:normal;
      margin-bottom: 30px;
     }

  .left-column {
      width: 100%;
      grid: 1/2;
  }

  .week {
      margin-bottom: 10px;
  }

.signIn {
  width: 100%;
  height: 3em;
  border: none;
  border-radius: 5px;
  font-size: 1.2rem;
  font-family: 'Roboto', serif;
  background: var(--grey);
  color: white;
  margin-right: 20px;
  font-weight: bold;
}

  .right-column {
      width: 100%;
      grid: 2/5;
  }

  header {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
  }

  .question {
      margin-bottom: 26px;
  }

  .btn-close {
    width: 20px;
    height: 18px;
    border-radius: 5px;
    color: white;
    background: var(--grey);
    border: none;
    margin: 10px;
  }
</style>